Bug 43085 - RFE: support for block checking and new disk initialization in kickstart
RFE: support for block checking and new disk initialization in kickstart
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-05-31 14:18 EDT by Seth Vidal
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-11 19:03:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Seth Vidal 2001-05-31 14:18:52 EDT
In kickstart, if the disk is brand new you have to have a keyboard and a
console to tell it to initialize the disklabel. If there was some way of
telling kickstart to initialize the disk label it would mean I wouldn't
need a console on brand new systems being setup.

Additionally it would be nice if I could tag all or certain disks being
formatted to be checked for badblocks.

So something like
zerombr yes
clearpart --all --initlabel
part / --size 1024 --badblocks

that would actually be quite nice.

Comment 1 Brent Fox 2001-06-04 11:11:56 EDT
Can you attach a copy of the kickstart file that you are using?  

You are saying that kickstart installs on brand new hard drives require input
from the user?
Comment 2 Seth Vidal 2001-06-04 11:17:46 EDT
I can send you one but its kinda moot. Its the same as any other. If you have a
disk that has NO formatting, no dos label, nada then anaconda will ask you about
initializing the disk label before continuning w/the kickstart.

the drive related sections:

zerombr yes
clearpart --all
part /boot  --size 35
part swap --size 1000
part /  --size 4000
part /xtmp  --size 1000 --grow
lilo --location mbr

if the drive has not been formatted or partitioned before it will pop up a box
and ask you to initialize or cancel.

I think I can get around it with a %pre that calls fdisk and creates a dos
label. but thats not very tidy.

Comment 3 Jeremy Katz 2001-07-17 14:48:44 EDT
Both options have been added to our internal trees and should be present in the
next release.

Note You need to log in before you can comment on or make changes to this bug.